GEN52
Prev | Score Statements and GEN Routines | Next

## GEN52

GEN52 — Creates an interleaved multichannel table from the specified source tables, in the format expected by the "ftconv" opcode.

## Description

GEN52 creates an interleaved multichannel table from the specified source tables, in the format expected by the ftconv opcode. It can also be used to extract a channel from a multichannel table and store it in a normal mono table, copy tables with skipping some samples, adding delay, or store in reverse order, etc.

## Syntax

    f # time size 52 nchannels channel_params_1 channel_params_2 ...

## Example

    ; source tables
    f 1 0 16384 10 1
    f 2 0 16384 10 0 1
    ; create 2 channel interleaved table
    f 3 0 32768 -52 2 1 0 1 2 0 1
    ; extract first channel
    f 4 0 16384 -52 1 3 0 2
    ; extract second channel
    f 5 0 16384 -52 1 3 1 2

## Credits

Author: Istvan Varga

Prev | Up | Next
GEN51 | Home | The Utility Programs